device: cpu # 使用的GPU编号
resize: true # 是否对图片进行resize压缩处理后再送入模型，开启后可以显著提高推理速度（加快0.1~0.2s），但会在一定程度上损害AP（-1%）
# models config
show_time: true # 是否显示每一个模型推理耗时
mode: "PRODUCTION" # 模式，可选："PRODUCTION"（正式模式）、"DEBUG"（调试模式）、"VAL"(验证模式)
support: [ # 支持的缺陷列表
  "focus" # 聚焦
]
models: [
  {
    name: "focus",
    weight_path: "model_weights/focus/best.onnx", # yolo 模型地址
    model_type: "yolo",
    label_names: [ 'meter' ], # 如果是非pt结尾的模型，必须要该参数，表示模型输出的类别名，需要注意顺序！如果不需要，可设为null
    ignore: [ ],
    augment: true,
    enable: true, # 是否启用
    input_shape: 640, # [960,960]
    threshold: { # 各类别阈值
      "meter": 0.4
    }, # 定位模型的阈值，只有预测的结果超过该阈值，才被处理
    name_map: null # null代表模型输出的标签名不需要更改
  },

]

model_tree: [
  [ # 第一阶段
    {
      model_name: "focus",
      handle_type: [ 'focus' ], # 该模型负责的缺陷类型
      next_stage_items: [ ], # 用于后续阶段的缺陷类型，如果当前缺陷不在里面，代表该缺陷已经处理结束，需要进行返回
      conflict_items: [ ],
      init_action: null, # 节点创建完成后运行的函数，主要用于一些配置文件或数据的加载
      data_action: null, # 对该模型输出进行特殊处理的函数
      callback_action: null, # 回调函数，等待该节点的后续节点全部运行完后，对其返回值进行处理的函数
    },
  ]
]
